Subject: Re: [PATCH net] net: add no-op for napi_busy_loop if CONFIG_NET_RX_BUSY_POLL=n

From: Jakub Kicinski <[email-masked]>
Date: Wed, 22 Feb 2023 20:53:52 -0800

On Wed, 22 Feb 2023 17:22:58 -0800 Jacob Keller wrote:
> Commit 7db6b048da3b ("net: Commonize busy polling code to focus on napi_id
> instead of socket") introduced napi_busy_loop and refactored sk_busy_loop
> to call this new function. The commit removed the no-op implementation of
> sk_busy_loop in the #else block for CONFIG_NET_RX_BUSY_POLL, and placed the
> declaration of napi_busy_poll inside the # block where sk_busy_loop used to
> be declared.
> 
> Because of this, if a module tries to use napi_busy_loop it must wrap the
> use inside a IS_ENABLED(CONFIG_NET_RX_BUSY_POLL) check, as the function is
> not declared when this is false.
> 
> The original sk_busy_loop function had both a declaration and a no-op
> variant when the config flag was set to N. Do the same for napi_busy_loop
> by adding a no-op implementation in the #else block as expected.
> 
> Fixes: 7db6b048da3b ("net: Commonize busy polling code to focus on napi_id instead of socket")

We need a reference to which module needs this or a Kconfig snippet 
+ build failure output.